<?xml version="1.0" encoding="ISO-8859-1"?>
<toc>
<book href="index.html" id="id5364247">
<title>DMF Administrator's Guide for IRIX® Systems</title>
<bookinfo href="front.html">
<title>Front Matter</title>
</bookinfo>
<preface href="pr01.html" id="id5418795">
<title>New Features for Release 2.6.3</title>
</preface>
<preface href="pr02.html" id="id5179109">
<title>About This Guide</title>
<section href="pr02.html#id5179122" id="id5179122">
<title>Related Publications</title>
</section>
<section href="pr02.html#Z825545312melby" id="Z825545312melby">
<title>Conventions</title>
</section>
<section href="pr02.html#Z825546061melby" id="Z825546061melby">
<title>Reader Comments</title>
</section>
</preface>
<chapter href="ch01.html" id="ZJOSh31bmich">
<title>Chapter 1. Introduction</title>
<section href="ch01.html#id5179466" id="id5179466">
<title>What Is DMF?</title>
<figure href="ch01.html#Z858022144ljgm" id="Z858022144ljgm">
<title>Figure 1-1. Application Data Flow</title>
</figure>
<figure href="ch01.html#Z858022176ljgm" id="Z858022176ljgm">
<title>Figure 1-2. DMF Network Environment</title>
</figure>
</section>
<section href="ch01.html#id5179644" id="id5179644">
<title>How DMF Works</title>
</section>
<section href="ch01.html#id5179735" id="id5179735">
<title>Ensuring Data Integrity</title>
</section>
<section href="ch01.html#id5179788" id="id5179788">
<title>DMF Architecture</title>
<figure href="ch01.html#Z858022214ljgm" id="Z858022214ljgm">
<title>Figure 1-3. DMF Architecture</title>
</figure>
</section>
<section href="ch01.html#id5178253" id="id5178253">
<title>Capacity and Overhead</title>
</section>
<section href="ch01.html#id5178344" id="id5178344">
<title>DMF Administration</title>
</section>
<section href="ch01.html#Z842620750ljgm" id="Z842620750ljgm">
<title>The User's View of DMF</title>
</section>
<section href="ch01.html#id5178827" id="id5178827">
<title>DMF File Concepts and Terms</title>
<section href="ch01.html#id5178903" id="id5178903">
<title>Migrating a File</title>
</section>
<section href="ch01.html#Z896455984ljgm" id="Z896455984ljgm">
<title>Recalling a Migrated File</title>
</section>
</section>
<section href="ch01.html#id5187480" id="id5187480">
<title>Command Overview</title>
<section href="ch01.html#id5187492" id="id5187492">
<title>Configuration Commands</title>
</section>
<section href="ch01.html#id5187633" id="id5187633">
<title>DMF Daemon and Related Commands</title>
</section>
<section href="ch01.html#id5188022" id="id5188022">
<title>Space Management Commands</title>
</section>
<section href="ch01.html#id5188143" id="id5188143">
<title>MSP Commands</title>
</section>
<section href="ch01.html#id5188367" id="id5188367">
<title>Commands for Other Utilities</title>
</section>
</section>
</chapter>
<chapter href="ch02.html" id="UqiTh2bbmich">
<title>Chapter 2. Configuring DMF</title>
<section href="ch02.html#id5188777" id="id5188777">
<title>Overview of the Configuration Steps</title>
<procedure href="ch02.html#Z842617266ljgm" id="Z842617266ljgm">
<title>Procedure 2-1. Configuration Steps</title>
</procedure>
</section>
<section href="ch02.html#KKZh2f9mich" id="KKZh2f9mich">
<title>Installation Considerations</title>
<section href="ch02.html#id5189017" id="id5189017">
<title>File System Mount Options</title>
</section>
<section href="ch02.html#id5189096" id="id5189096">
<title>Inode Size Configuration</title>
</section>
<section href="ch02.html#id5189138" id="id5189138">
<title>Configuring Daemon Database Record Length</title>
<procedure href="ch02.html#Z840809937ljgm" id="Z840809937ljgm">
<title>Procedure 2-2. Daemon Database Record Length Configuration</title>
</procedure>
</section>
<section href="ch02.html#id5189629" id="id5189629">
<title>Interprocess Communication Parameters</title>
</section>
<section href="ch02.html#Z894649937ljgm" id="Z894649937ljgm">
<title>Configuring Automated Maintenance Tasks</title>
<table href="ch02.html#Z937257789ljgm" id="Z937257789ljgm">
<title>Table 2-1. Automated Maintenance Task Summary</title>
</table>
</section>
</section>
<section href="ch02.html#Z865878516ljgm" id="Z865878516ljgm">
<title>Setting PATH Environment Variables</title>
</section>
<section href="ch02.html#id5190752" id="id5190752">
<title>Configuration Objects</title>
</section>
<section href="ch02.html#Z864245797ljgm" id="Z864245797ljgm">
<title>Configuring the Base Object</title>
<procedure href="ch02.html#Z864323303ljgm" id="Z864323303ljgm">
<title>Procedure 2-3. Base Object Configuration</title>
</procedure>
</section>
<section href="ch02.html#Z864245825ljgm" id="Z864245825ljgm">
<title>Configuring the DMF Daemon</title>
<procedure href="ch02.html#Z864323876ljgm" id="Z864323876ljgm">
<title>Procedure 2-4. Daemon Configuration</title>
</procedure>
<section href="ch02.html#Z894652405ljgm" id="Z894652405ljgm">
<title>Configuring Daemon Maintenance Tasks</title>
<procedure href="ch02.html#Z895698347ljgm" id="Z895698347ljgm">
<title>Procedure 2-5. Configuring the daemon_tasks Object</title>
</procedure>
<procedure href="ch02.html#id5192943" id="id5192943">
<title>Procedure 2-6. Configuring the dump_tasks Object</title>
</procedure>
</section>
</section>
<section href="ch02.html#xALXh3bemich" id="xALXh3bemich">
<title>Configuring File Systems</title>
<procedure href="ch02.html#Z864329698ljgm" id="Z864329698ljgm">
<title>Procedure 2-7. Configuring filesystem
Objects</title>
</procedure>
</section>
<section href="ch02.html#Z864245866ljgm" id="Z864245866ljgm">
<title>DMF Policies</title>
<section href="ch02.html#id5194026" id="id5194026">
<title>Automated Space Management Parameters</title>
</section>
<section href="ch02.html#id5194347" id="id5194347">
<title>File Weighting and MSP Selection Parameters</title>
</section>
<section href="ch02.html#id5194786" id="id5194786">
<title>Configuring Policies</title>
<procedure href="ch02.html#Z865284027ljgm" id="Z865284027ljgm">
<title>Procedure 2-8. Configuring Objects for Automated Space Management</title>
</procedure>
<procedure href="ch02.html#Z865283867ljgm" id="Z865283867ljgm">
<title>Procedure 2-9. Configuring Objects for MSP Selection</title>
</procedure>
</section>
</section>
<section href="ch02.html#qWllhj" id="qWllhj">
<title>Setting up Tape MSPs</title>
<procedure href="ch02.html#Z864324824ljgm" id="Z864324824ljgm">
<title>Procedure 2-10. Configuring Tape MSPs</title>
</procedure>
<section href="ch02.html#Z894983645ljgm" id="Z894983645ljgm">
<title>Configuring Tape MSP Maintenance Tasks</title>
<procedure href="ch02.html#id5196466" id="id5196466">
<title>Procedure 2-11. Configuring the msp_tasks Object</title>
</procedure>
</section>
<section href="ch02.html#Z894658469ljgm" id="Z894658469ljgm">
<title>Device Objects</title>
<section href="ch02.html#id5197215" id="id5197215">
<title>Device Objects for OpenVault As Mounting Service</title>
</section>
<section href="ch02.html#id5197354" id="id5197354">
<title>Device Objects for TMF as Mounting Service</title>
<procedure href="ch02.html#id5197438" id="id5197438">
<title>Procedure 2-12. Configuring Devices for TMF</title>
</procedure>
</section>
</section>
<section href="ch02.html#Z894639726ljgm" id="Z894639726ljgm">
<title>Using OpenVault for Tape MSPs</title>
<procedure href="ch02.html#Z894639648ljgm" id="Z894639648ljgm">
<title>Procedure 2-13. Configuring DMF to Use OpenVault</title>
</procedure>
</section>
<section href="ch02.html#id5198390" id="id5198390">
<title>MSP Database Records</title>
<procedure href="ch02.html#Z864325257ljgm" id="Z864325257ljgm">
<title>Procedure 2-14. Creating MSP Database Records</title>
</procedure>
</section>
</section>
<section href="ch02.html#nedmlhj" id="nedmlhj">
<title>Setting up FTP MSPs</title>
<procedure href="ch02.html#id5199551" id="id5199551">
<title>Procedure 2-15. Configuring the ftp Object</title>
</procedure>
</section>
<section href="ch02.html#Z875214793ljgm" id="Z875214793ljgm">
<title>Setting up Disk MSPs</title>
<procedure href="ch02.html#Z864328700ljgm" id="Z864328700ljgm">
<title>Procedure 2-16. Configuring the dsk
Object</title>
</procedure>
</section>
<section href="ch02.html#dBXllhj" id="dBXllhj">
<title>Verifying the Configuration</title>
</section>
<section href="ch02.html#d4Xllhj" id="d4Xllhj">
<title>Initializing DMF</title>
</section>
<section href="ch02.html#Z913682958ljgm" id="Z913682958ljgm">
<title>General Message Log File Format</title>
<table href="ch02.html#Z876494152ljgm" id="Z876494152ljgm">
<title>Table 2-2. DMF Log File Message Types</title>
</table>
</section>
</chapter>
<chapter href="ch03.html" id="vfPSh194mich">
<title>Chapter 3. Automated Space Management</title>
<section href="ch03.html#Z854400238ljgm" id="Z854400238ljgm">
<title>Generating the Candidate List</title>
</section>
<section href="ch03.html#id5201532" id="id5201532">
<title>Selection of Migration Candidates</title>
<figure href="ch03.html#Z865359607ljgm" id="Z865359607ljgm">
<title>Figure 3-1. Relationship of Automated Space Management Targets</title>
</figure>
</section>
<section href="ch03.html#Z866222819ljgm" id="Z866222819ljgm">
<title>Automated Space Management Log File</title>
</section>
</chapter>
<chapter href="ch04.html" id="qqhSh11fmich">
<title>Chapter 4. The DMF Daemon</title>
<section href="ch04.html#id5202298" id="id5202298">
<title>Daemon Processing</title>
</section>
<section href="ch04.html#AnKXh312mich" id="AnKXh312mich">
<title>DMF Daemon Database and dmdadm(blank)</title>
<section href="ch04.html#id5202704" id="id5202704">
<title>dmdadm Directives</title>
</section>
<section href="ch04.html#id5203338" id="id5203338">
<title>dmdadm Field and Format Keywords</title>
</section>
<section href="ch04.html#id5204245" id="id5204245">
<title>dmdadm(blank) Text Field Order</title>
</section>
</section>
<section href="ch04.html#Z840733702ljgm" id="Z840733702ljgm">
<title>Daemon Logs and Journals</title>
</section>
</chapter>
<chapter href="ch05.html" id="Z842616826ljgm">
<title>Chapter 5. The DMF Lock Manager</title>
<section href="ch05.html#Z866222745ljgm" id="Z866222745ljgm">
<title>dmlockmgr Communication and Log Files</title>
<table href="ch05.html#Z843671167ljgm" id="Z843671167ljgm">
<title>Table 5-1. dmlockmgr Token Files</title>
</table>
</section>
<section href="ch05.html#id5205580" id="id5205580">
<title>dmlockmgr Individual Transaction Log Files</title>
</section>
</chapter>
<chapter href="ch06.html" id="dPjSh293mich">
<title>Chapter 6. Media Specific Processes (MSPs)</title>
<section href="ch06.html#id5205893" id="id5205893">
<title>The Tape MSP</title>
<section href="ch06.html#id5206069" id="id5206069">
<title>Tape MSP Directories</title>
</section>
<section href="ch06.html#Z867338192ljgm" id="Z867338192ljgm">
<title>Media Concepts</title>
<figure href="ch06.html#sMjYkn445" id="sMjYkn445">
<title>Figure 6-1. Media Concepts</title>
</figure>
</section>
<section href="ch06.html#GCjYkn445" id="GCjYkn445">
<title>CAT Database Records</title>
</section>
<section href="ch06.html#aCjYkn445" id="aCjYkn445">
<title>VOL Database Records</title>
</section>
<section href="ch06.html#id5206692" id="id5206692">
<title>Tape MSP Journals</title>
</section>
<section href="ch06.html#L2GYhaamich" id="L2GYhaamich">
<title>Tape MSP Logs</title>
<example href="ch06.html#Z866215615ljgm" id="Z866215615ljgm">
<title>Example 6-1. Tape MSP Statistics Messages</title>
</example>
</section>
<section href="ch06.html#nXLXh100mich" id="nXLXh100mich">
<title>Volume Merging</title>
</section>
<section href="ch06.html#ETPYkn441" id="ETPYkn441">
<title>dmcatadm Command</title>
<section href="ch06.html#id5207804" id="id5207804">
<title>dmcatadm Directives</title>
</section>
<section href="ch06.html#id5208566" id="id5208566">
<title>dmcatadm Field Keywords</title>
<example href="ch06.html#Z870963565ljgm" id="Z870963565ljgm">
<title>Example 6-2. dmcatadm list directive</title>
</example>
</section>
<section href="ch06.html#id5209603" id="id5209603">
<title>dmcatadm Text Field Order</title>
</section>
</section>
<section href="ch06.html#uqyHkdjb" id="uqyHkdjb">
<title>dmvoladm Command</title>
<section href="ch06.html#id5209819" id="id5209819">
<title>dmvoladm Directives</title>
</section>
<section href="ch06.html#id5210752" id="id5210752">
<title>dmvoladm Field and Format Keywords</title>
<example href="ch06.html#Z854219328ljgm" id="Z854219328ljgm">
<title>Example 6-3. dmvoladm list directives</title>
</example>
</section>
<section href="ch06.html#id5212564" id="id5212564">
<title>dmvoladm(blank) Text Field
Order</title>
</section>
</section>
<section href="ch06.html#id5212769" id="id5212769">
<title>dmatread Command</title>
<example href="ch06.html#Z844264111ljgm" id="Z844264111ljgm">
<title>Example 6-4. Restoring Hard-deleted Files Using dmatread</title>
</example>
</section>
<section href="ch06.html#id5212926" id="id5212926">
<title>dmatsnf Command</title>
</section>
<section href="ch06.html#id5212985" id="id5212985">
<title>dmaudit verifymsp Command</title>
</section>
</section>
<section href="ch06.html#Z840728228ljgm" id="Z840728228ljgm">
<title>FTP MSP</title>
<section href="ch06.html#id5213096" id="id5213096">
<title>Processing of Requests</title>
</section>
<section href="ch06.html#Z871504656ljgm" id="Z871504656ljgm">
<title>Activity Log</title>
</section>
<section href="ch06.html#id5213411" id="id5213411">
<title>Messages</title>
</section>
</section>
<section href="ch06.html#Z876158625ljgm" id="Z876158625ljgm">
<title>Disk MSP</title>
<section href="ch06.html#id5213604" id="id5213604">
<title>Processing of Requests</title>
</section>
<section href="ch06.html#id5213773" id="id5213773">
<title>Activity Log</title>
</section>
</section>
<section href="ch06.html#id5213905" id="id5213905">
<title>Moving Migrated Data between MSPs</title>
</section>
</chapter>
<chapter href="ch07.html" id="rowYh260mich">
<title>Chapter 7. DMF Maintenance and Recovery</title>
<section href="ch07.html#id5214028" id="id5214028">
<title>Retaining Old DMF Daemon Log Files</title>
</section>
<section href="ch07.html#id5214140" id="id5214140">
<title>Retaining Old DMF Daemon Journal Files</title>
</section>
<section href="ch07.html#sKXh296mich" id="sKXh296mich">
<title>Soft- and Hard-deletes</title>
</section>
<section href="ch07.html#BDIllhj" id="BDIllhj">
<title>Using xfsdump and  xfsrestore
with Migrated Files</title>
<section href="ch07.html#id5214602" id="id5214602">
<title>Dumping and Restoring Files without the dump_tasks
Object</title>
</section>
<section href="ch07.html#id5214765" id="id5214765">
<title>File System Consistency with xfsrestore</title>
</section>
</section>
<section href="ch07.html#id5214854" id="id5214854">
<title>Using dmfill</title>
</section>
<section href="ch07.html#zeyHkdjb" id="zeyHkdjb">
<title>Database Recovery</title>
<section href="ch07.html#id5214947" id="id5214947">
<title>Database Backups</title>
</section>
<section href="ch07.html#Z841185908ljgm" id="Z841185908ljgm">
<title>Database Recovery Procedures</title>
<procedure href="ch07.html#Z840806025ljgm" id="Z840806025ljgm">
<title>Procedure 7-1. Recovering the Databases</title>
</procedure>
<example href="ch07.html#Z840806374ljgm" id="Z840806374ljgm">
<title>Example 7-1. Database Recovery Example</title>
</example>
</section>
</section>
</chapter>
<appendix href="apa.html" id="id5215543">
<title>Appendix A. Messages</title>
<section href="apa.html#id5215571" id="id5215571">
<title>Message Format</title>
<section href="apa.html#id5215589" id="id5215589">
<title>Message Format for Catalog (CAT) Database and Daemon Database Comparisons</title>
</section>
<section href="apa.html#id5215732" id="id5215732">
<title>Message Format for Volume (VOL) Database and Catalog (CAT) Database
and Daemon Database Comparisons</title>
</section>
</section>
<section href="apa.html#id5215939" id="id5215939">
<title>dmcatadm Message Interpretation</title>
</section>
<section href="apa.html#id5216500" id="id5216500">
<title>dmvoladm Message Interpretation</title>
</section>
</appendix>
<glossary href="go01.html" id="id5217219">
<title>Glossary</title>
</glossary>
</book>
</toc>
